Announcement

Collapse
No announcement yet.

Can't Install 5.1.3 not matter what I try.

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Can't Install 5.1.3 not matter what I try.

    I think I've tried everything in the book - Please help me.

    I get the message:

    Startup Errors

    Due to the following errors, the install/upgrade can not continue:
    • vBulletin 5 requires MySQL version 5.1.5 or greater.
    • Your MySQL is version , please ask your host to upgrade
    • Error description:
    • The database has failed to connect because you do not have permission to connect to the server.
    • Please confirm the values entered in the includes/config.php file


    I have confirmed with my host who assures me they are using MySQL 5.1.5 The error fails to give the version it thinks I am using.

    I have tried changing mysqli to MySQL in the config.php and changed it back. I have tried every combination of my username I can think of, I've checked the dabase name and
    password a hundred times, re-entered everything a thousand times and yet I still get the same error message.

  • #2
    Check the database user's privileges.

    Exactly this error will show if the privileges are not set correctly.
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.5.4 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      This section ?? // ****** MASTER DATABASE USERNAME & PASSWORD ******
      // This is the username and password you use to access MySQL.
      // These must be obtained through your webhost.
      $config['MasterServer']['username'] = 'database owner';
      $config['MasterServer']['password'] = 'password';

      Have changed the username and password here. The username is the db owner. I have added a user with full privileges and tried that, but it still gives the same error??

      Comment


      • #4
        Is the database server localhost? If not that setting needs to be updated as well.

        Comment


        • #5
          Be gentle with me, I'm way into my seventies. I managed vb4 but not doing so well with this.
          I didn't change that with vb4
          How will I know ?

          Comment


          • #6
            I have tried changing 'Localhost' to the db IP and 127.0.0.1 and neither of them works.
            Last edited by Bengie; Sat 4th Oct '14, 12:40pm.

            Comment


            • #7
              Is there any further assistance anyone can give me please ??

              Comment


              • #8
                Originally posted by Bengie View Post
                This section ?? // ****** MASTER DATABASE USERNAME & PASSWORD ******
                // This is the username and password you use to access MySQL.
                // These must be obtained through your webhost.
                $config['MasterServer']['username'] = 'database owner';
                $config['MasterServer']['password'] = 'password';

                Have changed the username and password here. The username is the db owner. I have added a user with full privileges and tried that, but it still gives the same error??
                There is a line further up from there where the database name needs to be filled in, is that done?
                MARK.B | vBULLETIN SUPPORT

                TalkNewsUK - My vBulletin 5.5.4 Demo
                AdminAmmo - My Cloud Demo

                Comment


                • #9
                  What version of PHP and MySQL are on the server?

                  Did you leave the config.php file in the root default? And then you only changed information in the config.php file located in /core/includes? And you used a plain text editor such as notepad++ to edit the file?

                  Please don't PM or VM me for support - I only help out in the threads.
                  vBulletin Manual & vBulletin 4.0 Code Documentation (API)
                  Want help modifying your vbulletin forum? Head on over to vbulletin.org
                  If I post CSS and you don't know where it goes, throw it into the additional.css template.

                  W3Schools <- awesome site for html/css help

                  Comment


                  • #10
                    Yes Mark in here ****** DATABASE NAME ******

                    PHP version 5.4 and MySQL version 5.1.50 Lynne.

                    Comment


                    • #11
                      Confirmed, I changed the names of both config files to .php and used Wordpad to edit the Core/config

                      Comment


                      • #12
                        I will try once more from the beginning. Download and edit and install. If it don't work this time, and failing any further assistance, I will have to reverse my payment and continue with version 4.

                        Comment


                        • #13
                          I am going to give Windows and MS SQL a go and see if that makes a difference.

                          Can no one offer any more assistance or ideas ??

                          Comment


                          • #14
                            For vBulletin you will need MySQL, not MSSQL.
                            MARK.B | vBULLETIN SUPPORT

                            TalkNewsUK - My vBulletin 5.5.4 Demo
                            AdminAmmo - My Cloud Demo

                            Comment


                            • #15
                              Thank you so much for the help and suggestions. I have now clarified with my host the version of MySQL is not as stated yesterday 5.1.5 but in fact 5.1.1.
                              So those hundreds, (well maybe not that many), of attempts I did over the last few days failed because of poor communications.

                              I new that MySQL was required, but seeing as I was having so much trouble, I was going to give MS a go as had nothing to lose.

                              I will now hang on to my download of vb5 for when my host update the MySQL they are running.

                              Once again, thanks everyone.

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X